player = {}

function player:new()

	local object = {
	x = x,
	y = y,
	w = w,
	h = h,
	s = s,
	xv = 0,
	yv = 0,
	dx = dx,
	dy = dy,
	state = "",		
	selected = false	}

	setmetatable(object, { __index = player })

	return object

end

function player:update(dt)

	self.x = self.x + (self.xv * dt)
	self.y = self.y + (self.yv * dt)

	if self.x ~= self.dx and self.y ~= self.dy then

		local a = self.dx - self.x
		local b = self.dy - self.y
		local c = math.sqrt(a*a + b*b)

		self.xv = a/c * self.s
		self.yv = b/c * self.s

		self.state = "move"

	else

		self.xv = 0
		self.yv = 0

		self.state = "stop"

	end

end

function player:draw()

	love.graphics.setColor(0, 255, 255)
	love.graphics.circle("fill", self.x, self.y, 16, 32)

	if self.selected then

		love.graphics.setColor(255, 255, 255)
		love.graphics.circle("line", self.x, self.y, 16.5, 32)

	end

end

return player